Package org.eclipse.emf.cdo.transfer

## Class CDOTransfer.ModelTransferContext

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.CDOTransfer.ModelTransferContext

- Enclosing class:
    CDOTransfer

      public static class CDOTransfer.ModelTransferContext
      extends java.lang.Object

  Encapsulates the model-specific aspects of a `transfer`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOTransfer.ModelTransferContext.ResolveProxyAdapter` | An `adapter` for a `resource set` that resolves all proxies in all resources when they are loaded.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ModelTransferContext​(CDOTransfer transfer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addModelMapping​(CDOTransferMapping mapping)` |
    `protected EcoreUtil.Copier` | `createCopier()` |
    `protected ResourceSet` | `createResourceSet​(CDOTransferSystem system)` |
    `protected void` | `fireUnmappedModelsEvent()` |
    `CDOTransfer.ModelTransferResolution` | `getResolution​(URI uri)` |
    `protected Resource` | `getSourceResource​(CDOTransferMapping mapping)` |
    `ResourceSet` | `getSourceResourceSet()` |
    `protected Resource` | `getTargetResource​(CDOTransferMapping mapping)` |
    `ResourceSet` | `getTargetResourceSet()` |
    `CDOTransfer` | `getTransfer()` |
    `java.util.Set<Resource>` | `getUnmappedModels()` |
    `protected boolean` | `hasResourceFactory​(CDOTransferElement source)` |
    `protected void` | `perform​(CDOTransferMapping mapping, IProgressMonitor monitor)` |
    `protected void` | `performFinish​(IProgressMonitor monitor)` |
    `void` | `registerSourceContentType​(java.lang.String contentType, Resource.Factory factory)` |
    `void` | `registerSourceExtension​(java.lang.String extension, Resource.Factory factory)` |
    `void` | `registerSourceProtocol​(java.lang.String protocol, Resource.Factory factory)` |
    `void` | `registerTargetContentType​(java.lang.String contentType, Resource.Factory factory)` |
    `void` | `registerTargetExtension​(java.lang.String extension, Resource.Factory factory)` |
    `void` | `registerTargetProtocol​(java.lang.String protocol, Resource.Factory factory)` |
    `protected void` | `removeModelMapping​(CDOTransferMapping mapping)` |
    `protected java.util.Set<Resource>` | `resolve()` |
    `CDOTransfer.ModelTransferResolution` | `setResolution​(URI uri, CDOTransfer.ModelTransferResolution resolution)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelTransferContext

          protected ModelTransferContext​(CDOTransfer transfer)

  - ### Method Detail

    - #### getTransfer

          public final CDOTransfer getTransfer()

    - #### getSourceResourceSet

          public final ResourceSet getSourceResourceSet()

    - #### getTargetResourceSet

          public final ResourceSet getTargetResourceSet()

    - #### registerSourceExtension

          public void registerSourceExtension​(java.lang.String extension,
                                              Resource.Factory factory)

    - #### registerSourceProtocol

          public void registerSourceProtocol​(java.lang.String protocol,
                                             Resource.Factory factory)

    - #### registerSourceContentType

          public void registerSourceContentType​(java.lang.String contentType,
                                                Resource.Factory factory)

    - #### registerTargetExtension

          public void registerTargetExtension​(java.lang.String extension,
                                              Resource.Factory factory)

    - #### registerTargetProtocol

          public void registerTargetProtocol​(java.lang.String protocol,
                                             Resource.Factory factory)

    - #### registerTargetContentType

          public void registerTargetContentType​(java.lang.String contentType,
                                                Resource.Factory factory)

    - #### getUnmappedModels

          public java.util.Set<Resource> getUnmappedModels()

    - #### getResolution

          public CDOTransfer.ModelTransferResolution getResolution​(URI uri)

    - #### setResolution

          public CDOTransfer.ModelTransferResolution setResolution​(URI uri,
                                                                   CDOTransfer.ModelTransferResolution resolution)

    - #### resolve

          protected java.util.Set<Resource> resolve()

    - #### fireUnmappedModelsEvent

          protected void fireUnmappedModelsEvent()

    - #### addModelMapping

          protected void addModelMapping​(CDOTransferMapping mapping)

    - #### removeModelMapping

          protected void removeModelMapping​(CDOTransferMapping mapping)

    - #### getSourceResource

          protected Resource getSourceResource​(CDOTransferMapping mapping)

    - #### getTargetResource

          protected Resource getTargetResource​(CDOTransferMapping mapping)

    - #### createCopier

          protected EcoreUtil.Copier createCopier()

    - #### createResourceSet

          protected ResourceSet createResourceSet​(CDOTransferSystem system)

    - #### hasResourceFactory

          protected boolean hasResourceFactory​(CDOTransferElement source)

    - #### perform

          protected void perform​(CDOTransferMapping mapping,
                                 IProgressMonitor monitor)

    - #### performFinish

          protected void performFinish​(IProgressMonitor monitor)